<%@include file="include/header.jsp"%>
<%!
//-----------------------------------------------
void update(BlockPageDao dao){
	if(demoFlag){
		errList.add("Not allowed on demo site.");
		return;
	}

	BlockPageData data = new BlockPageData();

	// We use requestString here to preserve all the special characters.
	data.blockPage = requestString("blockPage");
	data.loginPage = requestString("loginPage");
	data.welcomePage = requestString("welcomePage");

	if(dao.update(data)){
		succList.add("Data updated.");
	}
}
%>
<%
//-----------------------------------------------
// Set permission for this page.
permission.addAdmin();

//Check permission.
if(!checkPermission()){
	return;
}

// Create data access object.
BlockPageDao dao = new BlockPageDao();

// Action.
String actionFlag = paramString("actionFlag");
if(actionFlag.equals("update")){
	update(dao);
}
if(actionFlag.equals("restore")){
	if(dao.restoreDefault()){
		succList.add("Data updated.");
	}
}

// Global.
BlockPageData data = dao.selectOne();
%>
<!-- Action info -->
<%@include file="include/ab-notify.jsp"%>
<!-- /Action info -->

<!-- Breadcrumb -->
<div class="container-fluid primary" style="margin-top:-5px;">
	<ol class="breadcrumb" style="margin-left:10px; margin-right:10px;">
		<li class="breadcrumb-item">Config</li>
		<li class="breadcrumb-item text-info">BLOCK PAGE</li>
	</ol>
</div>
<!-- /Breadcrumb -->

<!-- Main content -->
<div class="container-fluid">

	<div class="card bg-light m-2 expand-lg">
		<div class="card-body">
			<form action="<%= getPageName()%>" method="post">
				<input type="hidden" name="actionFlag" value="update">
				<fieldset>

					<div class="form-group col-lg-8 text-secondary">
						You can edit your block-page, login-page, welcome-page here.<br>
						When you edit these pages do not modify the template variables between '\#{' and '}'.<br>
						&nbsp;&nbsp;ex) \#{domain}, \#{reason}
					</div>

					<div class="form-group col-lg-8">
						<label class="col-form-label">Block Page</label>
						<textarea class="form-control" id="blockPage" name="blockPage" rows="8"><%= escapeHtml(data.blockPage)%></textarea>
					</div>

					<div class="form-group col-lg-8">
						<label class="col-form-label">Login Page</label>
						<textarea class="form-control" id="loginPage" name="loginPage" rows="8"><%= escapeHtml(data.loginPage)%></textarea>
					</div>

					<div class="form-group col-lg-8">
						<label class="col-form-label">Welcome Page</label>
						<textarea class="form-control" id="welcomePage" name="welcomePage" rows="8"><%= escapeHtml(data.welcomePage)%></textarea>
					</div>

					<div class="form-group col-lg-8">
						<button type="submit" class="btn btn-primary">Submit</button>
						<button type="button" class="btn btn-warning" onclick="javascript:restoreDefault(this.form);">RESTORE DEFAULT</button>
						<button type="button" class="btn btn-info" onclick="javascript:preview(this.form.blockPage.value);">PREVIEW BLOCK</button>
						<button type="button" class="btn btn-info" onclick="javascript:preview(this.form.loginPage.value);">PREVIEW LOGIN</button>
						<button type="button" class="btn btn-info" onclick="javascript:preview(this.form.welcomePage.value);">PREVIEW WELCOME</button>
					</div>

				</fieldset>
			</form>
		</div>
	</div>

</div>
<!-- /Main content -->

<%@include file="include/footer.jsp"%>

<script>
//-----------------------------------------------
function preview(text){
	var w = window.open("", "previewWindow", "width=1024,height=600");
	w.document.open();
	w.document.write(text);
	w.document.close();
}

//-----------------------------------------------
function restoreDefault(form){
	if(!confirm("Restore default?")){
		return;
	}

	form.actionFlag.value = "restore";
	form.submit();
}
</script>
