<%@include file="include/header.jsp"%>
<%!
//-----------------------------------------------
void insert(UserDao dao){
	String usernames = paramString("usernames");
	int grpId = paramInt("grpId");
	String description = paramString("description");

	String[] arr = usernames.split("\\s+");
	for(String a : arr){
		UserData data = new UserData();
		data.name = a;
		data.grpId = grpId;
		data.massFlag = true;
		data.description = description;

		// Param validation.
		if(!ParamTest.isValidNameLen(data.name)){
			errList.add(ParamTest.ERR_NAME_LEN + " - " + data.name);
			break;
		}
		
		if(!ParamTest.isValidUsernameChar(data.name)){
			errList.add(ParamTest.ERR_USERNAME_CHAR + " - " + data.name);
			break;
		}

		if (ParamTest.isDupUser(data.name)) {
			continue;
		}

		if(!dao.insert(data)){
			errList.add("Couldn't add a user! - " + data.name);
			break;
		}
	}

	// Reload user dictionary.
	dao.reloadUserDic();

	if(errList.size() > 0){
		return;
	}

	succList.add("Data updated.");
}

//-----------------------------------------------
void delete(UserDao dao){
	if(demoFlag){
		errList.add("Not allowed on demo site.");
		return;
	}

	if(dao.deleteMassImportedUsers()){
		succList.add("Data updated.");
	}
}
%>
<%
//-----------------------------------------------
// Set permission for this page.
permission.addAdmin();

//Check permission.
if(!checkPermission()){
	return;
}

// Create data access object.
UserDao dao = new UserDao();

// Action.
String actionFlag = paramString("actionFlag");
if(actionFlag.equals("insert")){
	insert(dao);
}
if(actionFlag.equals("delete")){
	delete(dao);
}

// Get policy list.
List<GroupData> gGroupList = new GroupDao().selectListUserCreatedOnly();
%>
<!-- Action info -->
<%@include file="include/ab-notify.jsp"%>
<!-- /Action info -->

<!-- Breadcrumb -->
<div class="container-fluid primary" style="margin-top:-5px;">
	<ol class="breadcrumb" style="margin-left:10px; margin-right:10px;">
		<li class="breadcrumb-item">USER</li>
		<li class="breadcrumb-item text-info">MASS IMPORT</li>
	</ol>
</div>
<!-- /Breadcrumb -->

<!-- Main content -->
<div class="container-fluid">

	<div class="card bg-light m-2 expand-lg">
		<div class="card-body">
			<form action="<%= getPageName()%>" method="post">
				<input type="hidden" name="actionFlag" value="insert">
				<div class="form-group col-lg-8">
					<label class="col-form-label">
						Usernames
						<i class="fa fa-question-circle south-east" title="Adding globally bypassed domains. You can add
							<br>your whitelisted domains en masse here."></i>
					</label>
					<textarea class="form-control" id="usernames" name="usernames" rows="24"></textarea>
				</div>
				<div class="form-group col-lg-8">
					<label class="col-form-label">Description</label>
					<input type="text" class="form-control" id="description" name="description" >
				</div>
				<div class="form-group col-lg-8">
					<label class="col-form-label">Group, Member of</label>
					<select class="form-control" id="grpId" name="grpId">
						<option value="0">anon-grp</option>
<%
for(GroupData grp : gGroupList){
	printf("<option value='%s'>%s</option>\n", grp.id, grp.name);
}
%>
					</select>
				</div>
				<div class="form-group col-lg-8">
					<button type="submit" class="btn btn-primary">Submit</button>
					<button type="button" class="btn btn-warning" onclick="javascript:actionDelete(this.form);">DELETE MASS IMPORTED USERS</button>
				</div>

			</form>
		</div>
	</div>

</div>
<!-- /Main content -->

<%@include file="include/footer.jsp"%>

<script type="text/javascript">
//-----------------------------------------------
function actionDelete(form){
	if(!confirm("Deleting mass imported users.")){
		return;
	}

	form.action = "<%= getPageName()%>";
	form.actionFlag.value = "delete";
	form.submit();
}
</script>
